using System;
using UnityEngine;
using Random = UnityEngine.Random;

namespace View.Scene {
	public class GardenFlower : MonoBehaviour {
		[SerializeField] private SpriteRenderer sprite;

		[SerializeField] private Sprite[] randomSprites;

		private static readonly int WindOffset = Shader.PropertyToID("_WindOffset");

		private void Awake() {
			sprite.sprite = randomSprites[Random.Range(0, randomSprites.Length)];
			sprite.material.SetFloat(WindOffset, Random.Range(0f, 2f * Mathf.PI));
		}
	}
}